# Manuale utente di KDE

&Lauri.Watts; &Lauri.Watts.mail;
7 giugno 2005
Ambiente desktop KDE
kdesu
1

# `kdesu`

Esegue un programma con privilegi elevati

    kdesu -c -d -f  file -i  nome icona -n -p  priorità -r -s -t -u  utente --nonewdcop comando arg1 arg2

    kdesu Opzioni generiche di KDE Opzioni generiche di Qt

## Descrizione

&kdesu; è un'interfaccia grafica per KDE del programma `su` di &UNIX;. Permette di eseguire un programma come se si fosse un utente diverso, fornendo la password di tale utente. &kdesu; è un programma senza particolari privilegi; usa il comando `su` del sistema.

&kdesu; ha una funzione aggiuntiva: può ricordarsi, opzionalmente, la password. Se usi questa funzione devi inserire la password una volta sola per ciascun comando.

Questo programma è progettato per essere eseguito dalla riga di comando o dai file `.desktop`.

## Opzioni

`-c programma`

  Specifica il programma da lanciare come root. Deve essere passato come unico argomento. Così se, per esempio, vuoi lanciare un nuovo file manager, dovresti inserire alla riga di comando: ``kdesu `-c kfm -sw```

`-d`

  Visualizza le informazioni di debug.

`-f file`

  Questa opzione permette un uso efficiente di &kdesu; nei file `.desktop`. Dice a &kdesu; di esaminare il file specificato da `file`. Se questo file è scrivibile dall'utente corrente, &kdesu; esegue il comando con l'utente corrente. Se non è scrivibile, il comando viene eseguito con l'utente `utente` (valore predefinito impostato a root).

  `file` è valutato come segue: se `file` inizia per `/`, è considerato un nome di file con percorso assoluto. Altrimenti, è considerato come il nome di un file di configurazione globale di &kde;. Ad esempio: per configurare il gestore di display di &kde;, kdm, puoi usare `kdesu `-c kdmconfig -f kdmrc``

`-i` nome icona

  Specifica l'icona da utilizzare nella finestra di dialogo della password. Puoi specificarne semplicemente il nome, senza alcuna estensione.

`-n`

  Non memorizzare la password. Disabilita la casella ricorda password nella finestra di dialogo della password.

`-p` priorità

  Imposta il valore della priorità. La priorità è un numero arbitrario compreso tra 0 e 100, dove 100 significa la priorità massima e 0 la minima. L'impostazione predefinita è 50.

`-r`

  Uitlizza lo scheduling realtime.

`-s`

  Interrompe il demone kdesu, cioè il demone che tiene a memoria le password usate con successo. Questa funzione può essere anche disabilitata usando `-n` come argomento dell'esecuzione iniziale di &kdesu;.

`-t`

  Abilita l'output del terminale. Ciò disabilita la memorizzazione della password. È principalmente per scopi di debug; se vuoi lanciare un'applicazione della modalità console, usa piuttosto il comando standard `su`.

`-u` utente

  Anche se l'utilizzo principale di &kdesu; è quello di eseguire un comando come superutente, puoi fornire qualsiasi nome utente e la password appropriata.

## Vedi anche

su(1)

Documentazione per l'utente più dettagliata è disponibile con help:/kdesu (puoi inserire questo URL in &konqueror;, o lanciare ``khelpcenter` `help:/kdesu``).

## Esempi

Esegue `kfmclient` come utente jim e mostra l'icona di &konqueror; nella finestra della password.

    kdesu -u jim -i konqueror kfmclient

## Autori

&kdesu; è stato scritto da Geert Jansen jansen@kde.org e Pietro Iglio iglio@fub.it.